/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTENDDATA_INV') 
 CREATE TABLE T_BCM_EXTENDDATA_INV (
FID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FMODELNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTENDSGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FORG VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATAMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITTRAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERNALCOMPANY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE CHAR(1) DEFAULT '0' NOT NULL,
FTEMPLATENUMER VARCHAR(50) DEFAULT '0' NOT NULL,
FRELATIONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FEXTTYPE CHAR(1) DEFAULT '0' NOT NULL,
FTEXTEXT VARCHAR(200) DEFAULT ' ' NOT NULL,
FNUMEXT DECIMAL(34,15) DEFAULT 0 NOT NULL,
FDATEEXT DATETIME
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
